<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:padding="@dimen/dp_10">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical">

        <ImageView
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:src="@mipmap/icon_summery" />

        <TextView
            style="@style/textViewStyle"
            android:layout_marginHorizontal="@dimen/dp_10"
            android:text="标识对象属性" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="种类：" />

        <Spinner
            android:id="@+id/objectTypeSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="编号：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/objectCodeView"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="名称：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/objectNameView"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="电压等级：" />

        <TextView
            android:id="@+id/voltageLevelView"
            style="@style/inputEditTextStyle"
            android:gravity="center_vertical"
            android:hint="请选择"
            android:singleLine="true"
            android:textColor="@color/black"
            android:textColorHint="@color/hintColor" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/objectModeLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            android:id="@+id/objectModeView"
            style="@style/textViewStyle"
            android:text="类型：" />

        <Spinner
            android:id="@+id/objectModeSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/inlineNameLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="进线名称：进线" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/inlineNameView"
            style="@style/inputEditTextStyle"
            android:inputType="number" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/wellCoverMaterialLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            android:id="@+id/wellCoverMaterialView"
            style="@style/textViewStyle"
            android:text="井盖材质：" />

        <Spinner
            android:id="@+id/wellCoverMaterialSpinner"
            style="@style/spinnerStyle" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/capacityLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="装机容量：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/capacityView"
                style="@style/inputEditTextStyle"
                android:inputType="numberDecimal" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="KVA"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="变压器规格：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/transformerSpecView"
                style="@style/inputEditTextStyle" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/sizeLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="尺寸：" />

        <EditText
            android:id="@+id/sLengthView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="米长"
            android:textSize="@dimen/sp_16" />

        <EditText
            android:id="@+id/sWidthView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="米宽"
            android:textSize="@dimen/sp_16" />

        <EditText
            android:id="@+id/sHeightView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="米高"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/inlineCountLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="进线数量：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/inlineCountView"
            style="@style/inputEditTextStyle"
            android:inputType="number" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/outlineCountLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="出线数量：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/outlineCountView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="柜型：" />

            <Spinner
                android:id="@+id/cabinetTypeSpinner"
                style="@style/spinnerStyle" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/wellDepthLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            android:id="@+id/bottomDepthNameView"
            style="@style/textViewStyle"
            android:text="井深：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/bottomDepthView"
            style="@style/inputEditTextStyle"
            android:inputType="numberDecimal" />

        <TextView
            style="@style/textViewStyle"
            android:layout_gravity="center_vertical"
            android:layout_marginHorizontal="3dp"
            android:text="米"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/pipeLineLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="管孔数量：" />

            <EditText
                android:id="@+id/rowCountView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="排x"
                android:textSize="@dimen/sp_16" />

            <EditText
                android:id="@+id/rowHoleCountView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="孔"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="覆土深度：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/coverDepthView"
                style="@style/inputEditTextStyle"
                android:inputType="numberDecimal" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="米"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="交叉管道：" />

            <TextView
                android:id="@+id/crossPipeLineView"
                style="@style/inputEditTextStyle"
                android:gravity="center_vertical"
                android:hint="请选择"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textColorHint="@color/hintColor" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="剩余通道：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/remainingChannelsView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="孔"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="连接电缆1：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/tieCableView1"
                style="@style/inputEditTextStyle" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="连接电缆2：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/tieCableView2"
                style="@style/inputEditTextStyle" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/jointCountLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="中间接头：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/jointCountView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="个"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="套管材质：" />

            <Spinner
                android:id="@+id/casingMaterialSpinner"
                style="@style/spinnerStyle" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="套管规格：" />

            <EditText
                android:id="@+id/casingHoleCountView"
                style="@style/inputEditTextStyle"
                android:inputType="number" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="孔"
                android:textSize="@dimen/sp_16" />

            <EditText
                android:id="@+id/casingHoleDiameterView"
                style="@style/inputEditTextStyle"
                android:inputType="numberDecimal" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="毫米"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/heightLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="高度：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/heightView"
                style="@style/inputEditTextStyle"
                android:inputType="numberDecimal" />

            <TextView
                style="@style/textViewStyle"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="3dp"
                android:text="米"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                style="@style/leftImageStyle"
                android:src="@mipmap/icon3" />

            <TextView
                style="@style/textViewStyle"
                android:text="线路编号：" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/lineNumberView"
                style="@style/inputEditTextStyle"
                android:inputType="numberDecimal" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="建设时间：" />

        <TextView
            android:id="@+id/constructDateView"
            style="@style/inputEditTextStyle"
            android:gravity="center_vertical"
            android:textColor="@color/black" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="运检单位：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/inspectionUnitView"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="所属区域：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/areaView"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="所属道路：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/roadView"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="备注1：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/objectRemarkView1"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="备注2：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/objectRemarkView2"
            style="@style/inputEditTextStyle" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            style="@style/leftImageStyle"
            android:src="@mipmap/icon3" />

        <TextView
            style="@style/textViewStyle"
            android:text="备注3：" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/objectRemarkView3"
            style="@style/inputEditTextStyle" />
    </LinearLayout>
</LinearLayout>